### Augments
Starting on wave 50, every stage a ending portal will spawn to end a run peacefully.  
A super boss wave (such as Mithrix) will be forced on wave 50, reoccuring every 30 waves. (they can still rarely occur randomly).  
This makes getting to wave 50 a set goal and makes the gamemode "beatable".  
One of these runs should take around an hour (similiar to loop Mithrix) and counts as a win.  

__Adds a large amount of Augments__\
Basic Waves:\
-Added 13 Family Event Augments.\
-Added 5 Artifact Augments.\
-Added 3 Elite Augments.\
-Added 7 Item Augments.\
-Added 15 Other Augments.

-In total raises Basic Augment count from 9 to 52 (+9 with supported mods).

Boss Waves:\
-Added 6 Special Boss Augments.\
-Added 4 Aritfact Boss Augments.\
-Added 8 Other Boss Augments.

-In total raises Boss Augment count from 5 to 23 (+2 with supported mods).

![Image of new Waves](https://raw.githubusercontent.com/WolfoIsBestWolf/ror2-SimulacrumAdditions/main/modPageImages/simuWavesNew.png)

Every stage now uses it's own interactable spawn pool to make each stage feel more unique.\
This means Shrine of Chance, Shrine of Woods, Shrine of Order and Cleansing Pools now spawn in the game mode.

Reintroduces the unused Void Coin. They can be used as an alternative to blood on void interactables in Simulacrum.\
They drop like Lunar Coin and from Void Barrels. You start with 1.\
Void Blood Payments can no longer be blocked. (in Simu only)
#
### Balance
Special Boss Augments now have special scaling like how final bosses on normal runs do.\
Special Boss Augments now spawn with enemies too.\
Mithrix will be in phase 3 during his augment.

Earlier stages reward more money.\
Stage 5+ get less interactables.\
You get more gold and more interactables will spawn in multiplayer



Late waves spawn more enemies at the start, leading to bigger enemies but also less time in the wave overall.\
Elites spawn more often the more waves are completed.

Items are now granted every 8 waves until the first red.\
Afterwards every 4 then 2 waves, shortening after each red is added.\
Enemies are no longer granted useless items such as On Kill items.\
Tesla Coil and Nkuhanas are blacklisted for enemies now.

Only 20 enemies can be alive at a time instead of 30.\
Really early waves even less because of how often flying enemies overwhelm the player.



![Image of new waves 2](https://raw.githubusercontent.com/WolfoIsBestWolf/ror2-SimulacrumAdditions/main/modPageImages/simuHorror.png)
#
### Miscellaneous
Adds 2 Simulacrum only Artifacts:\
-Artifact of Augments : Only augmented waves\
-Artifact of Reality : Use normal stages instead of Simulacrum stages. (For people who really want Sulfur Pools for example)

More enemy types are added to the spawn pool starting wave 21.\
Void enemies are added to the spawn pool starting wave 61.

Special waves will get likelier after wave 30 and wave 50.

The focus radius is slightly bigger per player during waves.\
The focus radius is 50% bigger during travelling.\
The focus radius expands after sitting down. This is helps with awkward focus positions in Meadows/Depths.\
The focus will not begin travelling on it's own, instead waiting for you to activate it.\
The focus moves faster the more waves are completed.\
For each stage completed, -0.8 second between regular waves.

Scavengers are given a random Void item in Simulacrum.\
Enemies have a small chance to get a void item.  

There's a void themed teleport effect for the gamemode.  

Void Potential Chests now can present choices from any tier.\
Void Potentials use their respective tiers particle effects.\
Void Potentials display their content in ping messages


You wont encounter your previous stage as your next stage (ie: Meadows -> Sanctuary -> Meadows, no longer happens)

Simu Titanic Plains now plays Void Fields music\
Simu Abyssal Depths now plays Void Locusts music\
Simu Abyssal Depths has new Geysers for better navigation\
Simu Rallypoint Delta now plays Snowy Forests music\
Simu Simulacrum has ramps. 

Fireworks, Squid Polyp, Drone Parts and Halcyon Seed are now available in Simulacrum.\
Warbanners pop on Boss Waves similiar to teleporters.

Fixes vanilla bugs where Clients don't teleport to the Crab.\
Fixed vanilla bugs where Clients often don't get enemy indicators.

![Image of Void Coin](https://raw.githubusercontent.com/WolfoIsBestWolf/ror2-SimulacrumAdditions/main/modPageImages/simuVoidCoin.png)

#
### Skins
For technical reasons the skins are their own mod, for more information on the skins go to it's [mod page](https://thunderstore.io/package/Wolfo/WolfoAlternateSkins/ ):\
They aren't anything too special but I do hope they are still enjoyable.\
[![wolfoAlternateSkins](https://gcdn.thunderstore.io/live/repository/icons/Wolfo-WolfoAlternateSkins-1.5.0.png.128x128_q95.jpg)](https://thunderstore.io/package/Wolfo/WolfoAlternateSkins/)

#
Report bugs to @Wolfo.wolfo in the Risk of Rain 2 discord or RoR2 Modding discord.\
If you're reporting a bug that isn't something obvious include the log file.\
Generally happy about gameplay feedback.

Every player needs this mod installed.

The balance of this mod can be questionable as Simulacrum sucks to balance and is far harder in Multiplayer.\
This mod currently is balanced to be Difficult on Monsoon, difficulties like Typhoon and Inferno aren't recommended.

Also download my other mods, they are all balanced around each other:\
[WolfoArtifacts](https://thunderstore.io/package/Wolfo/WolfoArtifacts) for some fun extra Artifacts and 3 more Artifact augments.  
[LittleGameplayTweaks](https://thunderstore.io/package/Wolfo/LittleGameplayTweaks/) more enemy variety and some small changes and 4 more family augments.  
[WolfoQualityOfLife](https://thunderstore.io/package/Wolfo/WolfoQualityOfLife/) for many visual improvements.  

##
This mod is likely breaks [Judgement](https://thunderstore.io/package/Nuxlar/Judgement/), as at the moment it isn't made with keeping Simulacrum functional in mind.

I already added make wave 50 special so [SimulacrumBossStageMod](https://thunderstore.io/package/Def/SimulacrumBossStageMod/) is a bit redundant.\
I already speed up the crab so [SpeedUpSafeWard](https://thunderstore.io/package/Felix/SpeedUpSafeWard/) is redundant.

## Changelog:
```
v1.9.2
The Focus will no longer leave automatically after the mid-stage boss wave, instead it waits until you give it permission to leave.
--This should help in multiplayer so everyone can regroup and get their loot. 
--And also in case any printing needs to be done.

-Fixed new Abyssal Geysers not being there for Clients.
-Fixed Empyrean wave giving lunar loot and the spawn not having multiplied hp in multiplayer.
-Limited Ghost Vagrant Explode to 1 and made extra delay less severe.
-Increased Ghost Boss wave radius again.
-Made crab move slightly slower between waves.
-Fixed issue where Lepton heal radius doesn't match crab radius.

v1.9.1
-Added Augment of Emyprean for SS2 users.
-Default zone radius increased from 60 to 65-80 depending on player count.
-Increased size of Void Potential collider for easier pinging and reaching.
-Moved up Effigy/Meteor clean up to be after the enemies die instead of when the next wave starts.
-Added two Geysers to IT-Abyssal Depths (Bottom to Island 2, Bottom to Side Ridge)
-Added VanillaArtifactsPlus as a dependency for various balance reasons.

-Nerfed Guap Attack Speed, Damage and Cooldown
-Nerfed Deepened Void Devestator stats and scaling.
-Equipment/Ghost/P5 Mithrix wave spawn 2 starting wave 30 instead of 25 and are all limited to 2 now.
-Ghost Void Jailer and Ghost Bosses now have less attack speed and damage.
-Ghost Bosses can do certain attacks only once (Sun)
-Ghost Grandparent Sun and Vagrant explode channeling take a lot longer now.
-Equipment Molotov and Meteor drone will deal less damage.
-Equipment drones leave broken ones for use again to get rid of excess equipment and for the funny.
-Nerfed Slippery debuff slightly
-Changed Void Barnacle type so they should spawn on the floor and Less Devestators in IT-Moon
-Vengance Augment no longer has the artifact enabled for simplicity.
-Blacklisted Voidsent Flame. 

-Fixed bug where SS2 Drones still spawned with Artifact of Real

v1.9.0 : General nerf update
-A lot of special waves no longer have about 15% more enemies than a default wave.
-Wave 5/10 Boss wave spawn ~20% less enemies.
-Slightly less elite chance scaling

-Infinite dying Lunar Exploders are now visible no longer spawn in the air.
-Dead Mithrix wave will deal less damage.
-Egg and Vending machine Equipment drones deal less damage.
-Equipment Drones waves clean up Lunar Effigies/Meteor storms when the next wave begins.
-Enemy fuel arrays will deal a survivavable amount of damage now (50% of commando hp based on player level).
-Augment of Swarms will have 3x enemies instead of 4x
-Drone family wave damage nerf
-Worms family wave less enemies, no guaranteed elite worms, no guaranteed perferator.

-Fixed Artifact of Real not changing the weather or Newts for clients.
-Fixed Orange Potentials not being Orange on Clients
-Fixed Twisted Scavengers in the normal game getting Adaptive Armor instead of just in Simu.
-ReAdds Lunar/Void Family and Mithrix boss waves if Judgement is installed.

v1.8.3
-Void Potentials will show their contents in a ping message.
--Requested for more easily distributing them in multiplayer.

-Wave 5/10 should have less enemies at the start
-Removed Alienhead from Boss Horror
-Boss Equipment Drone wave will always be 2 different equipment again
-Bit less basic special waves
-Simu Ending counts as win again

v1.8.2
-Added Artifact of Reality 
--Use normal stages instead of Simulacrum Stages
--Kind of a joke but still an interesting experiment

-Moved skins into it's own mod and added that mod as a dependency (so downloaded automatically).
-Won't have boss waves every 2nd wave if Judgement is installed. (they still gotta fix their mod ideally)

v1.8.1
-Added 1 more Commando & Bandit based on more weird RoRR recolors.
-Pink Huntress Arrow Rain is now pink
-Fixed a bug if other mods made boss waves happen earlier than wave 5.

v1.8.0
Added 22 skin recolors mostly based on RoRR alt palettes as rewards for beating Simulacrum wave 50 or Voidling.
Even if basic still serves as a neat reward.

-Commando 	  (Unused SotV skin)
-Captain x2	  (Moved from LittleGameplayTweaks)
-REX 		  (Moved from LittleGameplayTweaks)
-Bandit 	  (Moved from LittleGameplayTweaks)
-Engineer 	  (RoRR alt color)
-Mult x2		
-Artificer x2 (RoRR alt color)
-Huntress 	  (RoRR alt color)
-Acrid 		  (RoRR alt color)
-CHEF x2	  (RoRR alt color)
-HAN-D x2	  (RoRR alt color)
-Loader		  (RoRR alt color)
-Mercenary x2 (RoRR alt color)
-Void Fiend x2
-Railgunner

-Ending no longer counts as Win so it won't give Masteries
-All Super bosses now have Adaptive Armor and aim for the same HP value (+Scav/Twisted, -Devestator)
--Super Bosses get less bonus damage (like half)
--Super Boss waves will get half the scaling if not on a forced wave

-Fixed Vanilla bug where Clients would often not see enemy indicators.

v1.7.3
-Rarer to get multiple of the same ghost and limited ghosts to 3.
-Adjusted Drone Family wave HP/Damage so it should be less long
--Slightly higher damage, less hp, less hp in multiplayer
--(Mostly a joke wave, hard to make good but rather too short than too long but I guess tbd)
-Nerfed Healing Equipment Drone Again (10.3s cooldown increased to 32.8s)

-Less "less" time between waves in multiplayer (ie -0.8 seconds at 2 players instead of -1)
-Made Crab Speed slightly slower on stage4+

-Items every 8 waves and items more frequently are now 2 configs.
-Enemies won't be given stacks of items on very late waves anymore.
-Actually changed default values for Ending Portal/Super Boss to 50 (whoops)

v1.7.2
-Augment of Sulfur
-Pot augment
-Augment of Brigade+Honor
-Waves with 2 rewards will now shoot one reward further away
-Nerfed Sacrifice in Simulacrum
--Only get 2 options per Potential
--Less items from enemies (30% less, you still get way too many)
--Void Chests can rarely spawn now.
-Fixed "simulacrum ending" showing the ending cutscene.
-Fixed issue with super boss waves getting far too many credits on very late waves
-Fixed a issue with Boss Infestation augment causing too many infestors.
-Nerfed Healing Equipment Drone Again
-Made Boss Augments more common

v1.7.1
-Augment of Misfortune
-Augment of Implosion
-Augment of Blaze 

v1.7.0
-Artifact of Augments
--All waves will be augmented waves
--Only available in Simulacrum
-Equipment Drone waves no longer leave broken drones,
-Equipment Drone waves announce what equipment is being used
-Made Guap slightly smaller as his sheer size caused some issues
-Music during super boss waves. (to be determined how well this actually fits)
-* Allowed Squid Polyp, Defiant Gauge and Spare Drone Parts as items

-Fixed ITMoon Ramps/Circle not being enabled on client
-Fixed Radius increases not visually working on clients
-Fixed Vanilla bug where Clients won't teleport to the Crab when falling off stage.
-Special Bosses no longer scale extra hard on multiplayer
-Less Void Coin in multiplayer

-Waves
--Minimum Wave requirement for most super boss waves increased.
--Special Waves get even more common past wave 30/50
--Eclipse8 Boss Augment
--Drone Family Boss Augment
--Irradiant Boss Aumgment
--Slippery Ground Augment
--Pulse Waves
---Augment of Design (Pillar)
---Augment of Nullification
---Augment of Attraction
---Augment of Poison

v1.6.4
-Fixed start up error related to mod support.
-Void Cradles won't change their cost if BetterVoid is installed.
-Slightly more interactables (in general)

v1.6.3  
-Fixed an error on run start caused by unknown incompatibility.
-ITMoon now always has Void Barnacles and Reavers in the spawn pool instead of only wave31+.
-Various wave adjusments.
-Safer Spaces Augment.
-Less Void Coin later on.
-Earlier stages wont get bonus interactables, instead just more gold is given earlier on.

v1.6.2  
Left only special waves on by accident.  

v1.6.1 - (Surprised this took a week to be reported)  
-Fixed multiplayer not spawning clients properly.  
-Fixed certain waves not being network spawnable.  
--Needed to change a fair amount of stuff for this hopefully nothing weird happens.  
-Boss Augment of Haunting bigger radius  

v1.6.0   
-Rare chance for enemies to get void items.  
-ITMoon enabled unused like border or smth I think it looks cool.  
-Fixed ITSand Interactables    
-Halcyon Seed now works in Simulacrum and is in the boss pool.  
-Add previously unused Void Coin/Void Marker  
--Use Void Coin as an alternative to Blood.  
--Drops like Lunar Coins and from Void Barrels.  
--Should make it easier to get voids early on, in exchange the damage can no longer be blocked.   

-Balance  
--Enemies should be a bit less overwhelming on stage 1.  
--Enemies spawn slightly faster after wave 20;    
--Boss waves in general spawn enemies faster / Go on for less time.    

-Augments   
--Adjustments  
---Horror now dies on wave end instead of after a duration.  
---Multiple Horrors now spawn on later waves  
---Equipment Drones are now invulnerable and die on wave end.  
--Acid Larva Family Augment  
--Quick Wave  
--Augment of Caffeine  
--Augment of Detonation  
--Augment of Hoarding  
--Augment of Blindness  
--Augment of Battery  
--Augment of Flowers  
--Boss Augment of Cell Breach (Acrid and stuff)  


v1.5.0 - Cleanup && Mod Split  
-Augments   
--Augment of Honor for basic waves  
--Augment of Swarms for basic waves  
--Augment of Heresy  
--Augment of Flight  
--Augment of Moon/Void Family for basic waves as late waves  
--Augment of Malachite  
--Augment of the Equipment Drone  
--Augment of Haunting   
--Boss Augment of Haunting  
--Boss Augment of the Mountain    
--Boss Augment of Kin     
--Boss Augment of Dissonance     
--Boss Augment of the Giant (Gup)    
--Boss Augment of the Devastator   
--Boss Augment of Wurms Family (if LittleGameplayTweaks)  
--Augment of Cognation (if StarStorm2)  
--Boss Augment of the Direseeker (if Miner or Direseeker mod)  

-Simulacrum Balance  
--Ending Portal starts at wave 50 and happens every stage now.  
--Super Boss is on wave 50 now.    
--After Wave 50 more special waves.  
--Only 20 Enemies can be alive at a time instead of 30. (Helps with lag and small enemy spam)  
--Later waves spend more credits at the start. Spawning more dangerous enemies and making them quicker.  
--Elites cost less on later waves  
--Crab travels faster on later stages  
--Less time between waves per stages completed  
--Enemies gain items every 8 waves.  
--Enemies gain more items and more frequently on later waves  
--Boss Augment of the Moon now drops a Green too.  

-General  
--Allow Fireworks in Simu (Mostly for VanillaVoids)  
--Warbanner on boss wave  
--Void Potentials have their tiers particles now.  
--Void Potential Chests can now drop items from any tier.  